]> git.draconx.ca Git - slotifier.git/commitdiff
Bundle scripts to help re-bootstrap the package.
authorNick Bowler <nbowler@draconx.ca>
Mon, 15 Feb 2021 06:11:40 +0000 (01:11 -0500)
committerNick Bowler <nbowler@draconx.ca>
Mon, 15 Feb 2021 06:22:44 +0000 (01:22 -0500)
We can include the main bootstrapping scripts easily enough in the
package.  If the user has a (possibly updated) Gnulib available, it
is now possible to regenerate the build system just by running the
included bootstrap script.

Makefile.am
NEWS
bootstrap

index 95157235c33775e9e2484c4bc560824892847765..3d9b9384013cd5150b572fa5b8c6f32aa6e44ab6 100644 (file)
@@ -11,7 +11,8 @@ DISTCLEANFILES =
 MOSTLYCLEANFILES =
 MAINTAINERCLEANFILES =
 EXTRA_LIBRARIES =
-EXTRA_DIST = INSTALL README.md
+EXTRA_DIST = bootstrap common/scripts/fix-gnulib.pl m4/gnulib-cache.m4 \
+             INSTALL README.md
 
 AM_CPPFLAGS = -I$(top_builddir)/lib -I$(top_srcdir)/lib \
               -DLOCALEDIR=\"$(localedir)\"
diff --git a/NEWS b/NEWS
index c7783c51167ab10b5b873cc1766287098b498c0a..b7da861acdf7e9869cd2523407952405f8d44e70 100644 (file)
--- a/NEWS
+++ b/NEWS
@@ -1,4 +1,5 @@
 Release 1a:
+       * Include build system regeneration helper scripts.
        * Fix NLS-related build problems.
 
 Release 1:
index ea1324f161b247f8164e0a692a8c6b3f8253f718..5023d833c0f4e1140ca15afb96f008cf620ccfc5 100755 (executable)
--- a/bootstrap
+++ b/bootstrap
@@ -11,7 +11,7 @@
 scriptname=$0
 
 err() {
-       printf '%s: %s\n' "$scriptname" "$@" 1>&2
+       printf '%s: %s\n' "$scriptname" "$*" 1>&2
 }
 
 die() {
@@ -30,7 +30,19 @@ $GIT submodule update --init || err "Failed to update submodules from git."
 if test -x $GNULIB/gnulib-tool; then
        $GNULIB/gnulib-tool --update -S || die "Failed to update Gnulib."
 else
-       die "Gnulib sources are not properly installed in gnulib/."
+  err "Gnulib sources are not properly installed in $GNULIB/"
+  cat >&2 <<'EOF'
+
+To bootstrap this package using an external Gnulib, you can set the GNULIB
+environment variable to indicate the location of the Gnulib sources.
+EOF
+
+  test ! -f configure || cat >&2 <<'EOF'
+
+However, it seems this package is already bootstrapped.  It should not
+normally be necessary to run this script from a release tarball.
+EOF
+  exit 1
 fi
 
 $PERL common/scripts/fix-gnulib.pl -o lib/gnulib.mk -i lib/gnulib.mk.in \